        * = $1001

        .byte $0b, $10, $0a, $00, $9e, $34, $31, $30, $39, $00, $00, $00

        .const soundosc1    = $900A
        .const soundosc2    = $900B
        .const soundosc3    = $900C
        .const soundosc4    = $900D
        .const soundvols    = $900E

        .const jiffyreset   = $FFDB

start:

        lda #%00001111  //volume
        sta soundvols

        ldx #0
clrlp:
        lda #$20
        sta $1e00,x
        sta $1e00+256,x
        sta $9600,x
        sta $9600+256,x
        inx
        bne clrlp

        ldx #10
cakelp:
        lda cake-1,x
        sta $1e05+(22*3),x
        lda cake+9,x
        sta $1e05+(22*4),x
        lda cake+19,x
        sta $1e05+(22*5),x
        lda cake+29,x
        sta $1e05+(22*6),x
        lda #$68
        sta $1e05+(22*7),x
        sta $1e05+(22*8),x
        sta $1e05+(22*9),x
        sta $1e05+(22*10),x
        sta $1e05+(22*11),x
        dex
        bne cakelp

        ldx #34
txtlp:
        lda bdtext-1,x
        sta $1e03+(22*15),x
        dex
        bne txtlp

mainloop:
        lda #0
        sta $a2

jiffyloop:
        inc $9600+6+(22*3)
        inc $9600+9+(22*3)
        inc $9600+12+(22*3)
        inc $9600+15+(22*3)
        lda $a2
        cmp #32
        bne jiffyloop

noteagain:
        lda notetab,x
        beq resetx

store1:
        sta soundosc2
        inx
        jmp end
resetx:
        ldx #0
        jmp noteagain
end:
        jmp mainloop

notetab:
        .byte 224,227,224,232,230,1,224,227,224,234,232,1,224,239,236,232,230,227,237,236,232,234,232,1,0

cake:
        .byte $57,$20,$20,$57,$20,$20,$57,$20,$20,$57
        .byte $61,$20,$20,$61,$20,$20,$61,$20,$20,$61
        .byte $61,$43,$43,$61,$43,$43,$61,$43,$43,$61
        .byte $66,$66,$66,$66,$66,$66,$66,$66,$66,$66

bdtext:
        .text petscreen "happy birthday          reality404"